#!/bin/bash -x

######### Template identifier (don't remove) #########
echo "Do not run the template scripts"
exit 99
######### Template identifier (don't remove) #########

# Name of virtual environment
VIRT_ENV_NAME=venv_test

echo "Activating virtual environment..."
source ../virtual_envs/${VIRT_ENV_NAME}/bin/activate

# Declare path-variables (dest_dir will be set and configured automatically via generate_runscript.py)
source_dir=/my/path/to/era5
destination_dir=/my/path/to/extracted/data
varmap_file=/my/path/to/varmapping/file

years=$(seq 2007 2020)

#The number of nodes should be equal to the number of 1 preprocessed folder plus 1
n_nodes=3

# Run data extraction
for year in ${years}; do
  echo "Perform ERA5-data extraction for year ${year}"
 mpirun -n ${n_nodes}  python ../main_scripts/main_data_extraction.py  --source_dir ${source_dir} --target_dir ${destination_dir} \
                                                       --year "${year}" --varslist_path ${varmap_file}
done




